Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 625963 - SELinux is preventing /var/lib/boinc/projects/www.gpugrid.net/acemd2_6.04_x86_64-pc-linux-gnu__cuda "read" access on /var/lib/boinc.
SELinux is preventing /var/lib/boinc/projects/www.gpugrid.net/acemd2_6.04_x86...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:8d4b9051e4a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-20 19:56 EDT by Daniel Stripes
Modified: 2010-08-31 02:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-51.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-31 02:38:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Stripes 2010-08-20 19:56:23 EDT
Summary:

SELinux is preventing
/var/lib/boinc/projects/www.gpugrid.net/acemd2_6.04_x86_64-pc-linux-gnu__cuda
"read" access on /var/lib/boinc.

Detailed Description:

[acemd2_6.04_x86 has a permissive type (boinc_project_t). This access was not
denied.]

SELinux denied access requested by acemd2_6.04_x86. It is not expected that this
access is required by acemd2_6.04_x86 and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:boinc_project_t:s0
Target Context                system_u:object_r:boinc_var_lib_t:s0
Target Objects                /var/lib/boinc [ dir ]
Source                        acemd2_6.04_x86
Source Path                   /var/lib/boinc/projects/www.gpugrid.net/acemd2_6.0
                              4_x86_64-pc-linux-gnu__cuda
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           boinc-client-6.10.45-1.r21128svn.fc13
Policy RPM                    selinux-policy-3.7.19-47.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.6-147.2.4.fc13.x86_64 #1 SMP Fri Jul 23
                              17:14:44 UTC 2010 x86_64 x86_64
Alert Count                   3
First Seen                    Fri 20 Aug 2010 12:04:02 PM EDT
Last Seen                     Fri 20 Aug 2010 06:58:40 PM EDT
Local ID                      95f4f6d4-c7f0-4193-9d98-156064751123
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1282345120.915:29982): avc:  denied  { read } for  pid=21864 comm="acemd2_6.04_x86" name="boinc" dev=dm-0 ino=134236 scontext=unconfined_u:system_r:boinc_project_t:s0 tcontext=system_u:object_r:boinc_var_lib_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1282345120.915:29982): arch=c000003e syscall=2 success=yes exit=25 a0=247b290 a1=90800 a2=1 a3=247b638 items=0 ppid=6502 pid=21864 auid=501 uid=490 gid=477 euid=490 suid=490 fsuid=490 egid=477 sgid=477 fsgid=477 tty=(none) ses=4 comm="acemd2_6.04_x86" exe="/var/lib/boinc/projects/www.gpugrid.net/acemd2_6.04_x86_64-pc-linux-gnu__cuda" subj=unconfined_u:system_r:boinc_project_t:s0 key=(null)



Hash String generated from  catchall,acemd2_6.04_x86,boinc_project_t,boinc_var_lib_t,dir,read
audit2allow suggests:

#============= boinc_project_t ==============
allow boinc_project_t boinc_var_lib_t:dir read;
Comment 1 Miroslav Grepl 2010-08-24 07:39:03 EDT
Fixed in selinux-policy-3.7.19-50.fc13
Comment 2 Fedora Update System 2010-08-25 11:35:37 EDT
selinux-policy-3.7.19-51.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-51.fc13
Comment 3 Fedora Update System 2010-08-25 20:58:25 EDT
selinux-policy-3.7.19-51.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-51.fc13
Comment 4 Fedora Update System 2010-08-31 02:37:35 EDT
selinux-policy-3.7.19-51.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.